<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Google Sign-In</title>
        <script src="https://apis.google.com/js/platform.js" async defer></script>
    
        <meta name="google-signin-client_id" content="970611167737-vmpvppuijkoothkqnn6u3b5cfptm3amc.apps.googleusercontent.com">
    
    </head>
    <body>

        <div class="g-signin2" data-onsuccess="onSignIn"></div>
        <script>
            function onSignIn(googleUser) {
                var profile = googleUser.getBasicProfile();
                console.log("ID: " + profile.getId());
                console.log("Name: " + profile.getName());
                console.log("Image URL: " + profile.getImageUrl());
                console.log("Email: " + profile.getEmail());

                var id_token = googleUser.getAuthResponse().id_token;

                var xhr = new XMLHttpRequest();
                xhr.open("POST", "/google");
                xhr.setRequestHeader(
                    "Content-Type", 
                    "application/x-www-form-urlencoded"
                    );
                xhr.onload = function() {
                console.log("Signed in as: " + xhr.responseText);
                };
                xhr.send("idtoken=" + id_token);
            }
        </script>

        <a href="#" onclick="signOut();">Sign out</a>
        <script>
        function signOut() {
            var auth2 = gapi.auth2.getAuthInstance();
            auth2.signOut().then(function () {
            console.log('User signed out.');
            });
        }
        </script>

    </body>
</html>